apiVersion: v1
kind: Service
metadata:
  name: <%= @name %>
  namespace: <%= @namespace %>
  <%- if @domain -%>
  annotations:
    DOMAINS: <%= @domain -%>
  <%- end %>

spec:
  ports:
    <%- @ports.each do |port| -%>
    - port: <%= port.port %>
      targetPort: <%= port.target_port %>
    <%- end -%>
  selector:
    app: <%= @name %>
